using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using ljs;
using JXC_MIS.MyClass ;
using JXC_MIS.DataTier ;



namespace JXC_MIS.UserTier.NewForm
{
	public class frmSellOrder : JXC_MIS.UserTier.BaseForm.frmReceiptBase
	{
		private System.ComponentModel.IContainer components = null;
//		ClsReceiptMethod newReceipt=new ClsReceiptMethod();
//		ClsCellAttrib newCellAttrib=new ClsCellAttrib();
		public frmSellOrder()
		{
			// 该调用是 Windows 窗体设计器所必需的。
			InitializeComponent();

			// TODO: 在 InitializeComponent 调用后添加任何初始化
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region 设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			// 
			// frmSell
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(792, 553);
			this.Name = "frmSell";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "单据名称";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.frmSell_Closing);
			this.Load += new System.EventHandler(this.frmSell_Load);

		}
		#endregion

		private void frmSell_Load(object sender, System.EventArgs e)
		{
			this.ReceiptName="销售意向单";   //frmReceiptBase
			this.InitInterface();	
		}

		private void frmSell_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
		
		}
		protected override void tbr_Toolbar_ButtonClick(object sender, ToolBarButtonClickEventArgs e)
		{
			base.tbr_Toolbar_ButtonClick (sender, e);

			switch (e.Button.Tag.ToString())
			{
					//				case "新增":
					//					ReceiptAdd();
					//
					//					break;
					//				case "修改":
					//					ReceiptModify();
					//					break;
				case "保存":
					//					if (ReceiptCheck()==false) {return ;}
					break;
				default:
 
					break;
			}
			//			grd_Detail.SetCellFocus(grd_Detail.Row,grd_Detail.Col+1);
		}

//		protected override void btnDown_Click(object sender, EventArgs e)
//		{
//			int T=0;
//			this.newCellAttrib.FormatString =this.TxtTemp.Tag.ToString();
//			T=int.Parse(newCellAttrib.RefertoType);
//			if (T>10)
//			{
//				JXC_MIS.UserTier.NewForm.frmItemStore ff=new JXC_MIS.UserTier.NewForm.frmItemStore();
//				ff.ShowDialog (this.Parent);
//				System.Data.DataTable dt =new System.Data.DataTable();
//				dt=ff.GetDataTable;
//				int rs=dt.Rows.Count;
//				int row=this.grd_Detail.Row;
//
//				this.grd_Detail.RowInsert("",this.grd_Detail.Row,rs);
//
//			
//				for (int r=0;r<rs;r++)
//				{
//					if (dt.Rows[r][1]!=null)
//					{
//						this.grd_Detail.SetCellText(row+r,1,dt.Rows[r][1].ToString());
//						this.grd_Detail.SetCellText(row+r,2,dt.Rows[r][2].ToString());
//						this.grd_Detail.SetCellText(row+r,7,dt.Rows[r][4].ToString());
//						//						this.grd_Detail.SetCellText(row+r,14,dt.Rows[r][10].ToString());
//					}
//
//				}
//				//添加行号
//				rs=this.grd_Detail.Rows;
//
//				for (int r=1;r<rs;r++)
//				{
//					this.grd_Detail.SetCellText(r,0,r.ToString());
//				}
//
//			}
//			else
//			{
//				base.btnDown_Click (sender, e);
//			}
//		}

	}
}

